Skip to content
The API may change between versions while TTX-Zone is 0.x.

Transition

POST
/api/v1/ttx/{ttx_id}/aar/transitions

Mark the report FINAL (a snapshot of this version) or reopen it. No step-up: the activity log records who did it.

Media typeapplication/json
AarTransitionRequest
object
to
required
To
string
Allowed values: final draft

Successful Response

Media typeapplication/json
AarRead
object
actions
required
Actions
Array<object>
ImprovementActionRead
object
action
required
Action
string
code
required
Code
string
due_date
required
Any of:
string format: date
finding
required
Finding
string
id
required
Id
string format: uuid
objective_code
required
Any of:
string
overdue
required
Overdue
boolean
owner
required
Owner
string
owner_area
required
Owner Area
string
retest
Any of:
RetestRead

The later exercise that re-tests an improvement action, and which of its objectives (none: the exercise as a whole).

object
objective_code
Any of:
string
objective_id
Any of:
string format: uuid
objective_title
Any of:
string
ttx_code
required
Ttx Code
string
ttx_id
required
Ttx Id
string format: uuid
ttx_name
required
Ttx Name
string
status
required
ImprovementStatus
string
Allowed values: open in_progress done cancelled
status_note
required
Status Note
string
updated_at
required
Updated At
string format: date-time
can_edit
required
Can Edit
boolean
can_follow_up
Can Follow Up
boolean
can_see_session
Can See Session
boolean
conclusions
required
Conclusions
string
executive_summary
required
Executive Summary
string
finalized_at
required
Any of:
string format: date-time
finalized_by
required
Finalized By
string
id
required
Id
string format: uuid
objectives
required
Objectives
Array<object>
AarObjectiveRead
object
analysis
required
Analysis
string
id
required
Id
string format: uuid
improvements
required
Improvements
string
objective_code
required
Objective Code
string
overall
required
Any of:
RatingLevel

The common rating scale: performed without challenges (P), with some (S), with major ones (M), or unable to be performed (U).

string
Allowed values: P S M U
session_ratings
required
Session Ratings
Array<object>
SessionRatingRead

A rating the session gave a point of the objective, for reference.

object
evaluator
required
Evaluator
string
level
required
RatingLevel

The common rating scale: performed without challenges (P), with some (S), with major ones (M), or unable to be performed (U).

string
Allowed values: P S M U
point
required
Point
string
rationale
required
Rationale
string
room_code
Room Code
string
""
strengths
required
Strengths
string
title
required
Title
string
revision
required
Revision
integer
run_id
Any of:
string format: uuid
runs
Runs
Array<object>
default:
AarRunOption

A session the report can be written from: the current one or an archived one.

object
current
required
Current
boolean
id
required
Id
string format: uuid
number
required
Number
integer
started_at
required
Started At
string format: date-time
status
required
Status
string
scenario_summary
required
Scenario Summary
string
status
required
AarStatus
string
Allowed values: draft final
ttx_id
required
Ttx Id
string format: uuid
updated_at
required
Updated At
string format: date-time
version
required
Version
integer

Example

{
"actions": [
{
"status": "open"
}
],
"can_follow_up": false,
"can_see_session": false,
"objectives": [
{
"overall": "P",
"session_ratings": [
{
"level": "P",
"room_code": ""
}
]
}
],
"runs": [],
"status": "draft"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}